org.apache.olingo.server.api.deserializer

## Interface DeserializerResult

-     public interface DeserializerResult

  Result type for `ODataDeserializer` methods

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Parameter>` | `getActionParameters()` Returns the deserialized action parameters of an `Entity` as key/value pairs.
    `Entity` | `getEntity()` Returns an entity.
    `EntityCollection` | `getEntityCollection()` Returns an entity collection.
    `List<URI>` | `getEntityReferences()` Returns the entity references from the provided document.
    `ExpandOption` | `getExpandTree()` Returns the ExpandOptions for the deserialized entity.
    `Property` | `getProperty()` Returns a Property or collections of properties (primitive & complex).

- - ### Method Detail

    - #### getEntity

          Entity getEntity()

      Returns an entity.
      Returns:
        an `Entity` or null

    - #### getEntityCollection

          EntityCollection getEntityCollection()

      Returns an entity collection.
      Returns:
        an `EntityCollection` or null

    - #### getExpandTree

          ExpandOption getExpandTree()

      Returns the ExpandOptions for the deserialized entity.
      Returns:
        an `ExpandOption` or null

    - #### getActionParameters

          Map<String,Parameter> getActionParameters()

      Returns the deserialized action parameters of an `Entity` as key/value pairs.
      Returns:
        the action parameters

    - #### getProperty

          Property getProperty()

      Returns a Property or collections of properties (primitive & complex).
      Returns:
        `Property` or collections of properties (primitive & complex) or null

    - #### getEntityReferences

          List<URI> getEntityReferences()

      Returns the entity references from the provided document.
      Returns:
        a collection of entity references

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.